@arcgis/core 4.19.0 Promise.allSettled

98
2
Jump to solution
3 weeks ago
pegafal
New Contributor II

Hi,

 

I updated to @arcgis/core to 4.19.0 from @4.18.1, it installed and compiled successfully. However when trying to view map in the browser, I got a bunch of errors regarding Promise.allSettled

 

I am using Angular 8.2.14 and Node version 10.18.1

 

Any idea?

 

Thanks

0 Kudos
1 Solution

Accepted Solutions
pegafal
New Contributor II

I am using Chrome Version 90.0.4430.85

 

I updated zone.js to version 0.10.3 and it worked now

 

Thanks

View solution in original post

0 Kudos
2 Replies
ReneRubalcava
Frequent Contributor

What browser version are you using? Promise.allSettled is not supported in older browsers.

https://caniuse.com/?search=Promise.allSettled

Edited as I noticed your screenshot is Chromium dev tools. Might need to update the browser.

0 Kudos
pegafal
New Contributor II

I am using Chrome Version 90.0.4430.85

 

I updated zone.js to version 0.10.3 and it worked now

 

Thanks

View solution in original post

0 Kudos